- Qt 5.15
- Qt 3D
- C++ Classes
- QStaticPropertyValueAddedChangeBase
- Qt 5.15.18 Reference Documentation

# QStaticPropertyValueAddedChangeBase Class

class Qt3DCore::QStaticPropertyValueAddedChangeBase

The QStaticPropertyValueAddedChangeBase class is the base class for all static PropertyValueAdded QSceneChange events. More...

Header: | #include <Qt3DCore/QStaticPropertyValueAddedChangeBase>
qmake: | QT += 3dcore
Since: | Qt 5.7
Inherits: | Qt3DCore::QPropertyValueAddedChangeBase
Inherited By: | Qt3DCore::QPropertyNodeAddedChange and Qt3DCore::QPropertyValueAddedChange

This class was introduced in Qt 5.7.

- List of all members, including inherited members

## Public Functions

const char * | propertyName() const
void | setPropertyName(const char *name)

## Protected Functions

| QStaticPropertyValueAddedChangeBase(QNodeId subjectId)

## Detailed Description

## Member Function Documentation

### `[protected]` QStaticPropertyValueAddedChangeBase::QStaticPropertyValueAddedChangeBase(QNodeId subjectId)

Constructs a new QStaticPropertyValueAddedChangeBase with subjectId

### const char *QStaticPropertyValueAddedChangeBase::propertyName() const

Returns name of the property.

See also setPropertyName().

### void QStaticPropertyValueAddedChangeBase::setPropertyName(const char *name)

Sets the property change name.

See also propertyName().